/*
 * File						: borlandTE.c
 * Description				: This file is iBoard borlandTE.
 * Author					: XiaomaGee@Gmail.com
 * Copyright				:
 *
 * History
 ****----------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 ****----------------
 */

//---------------- Include files ------------------------//
#include "..\include\font.h"
#include <string.h>

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *);

//---------------- Variable -----------------------------//
extern const unsigned char rc_borlandTE[];

SINGLE_BYTE_FONT_T borlandTE = {
	.name = "Borland TE",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 8,
	.dat = (void*)rc_borlandTE,
	.get_matrix = get,

	.pre = NULL,
	.next = NULL
};

//-----------------Function------------------------------//
/*
 * Name						: get
 * Description				: ---
 * Author					: XiaomaGee.
 *
 * History
 * ---------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 * ---------------
 */
static int
get(FONT_MATRIX_T *f)
{
	f->direction = DIRECTION_V;
	f->height = borlandTE.height;
	f->width = borlandTE.width;
	f->dat = ((char*)borlandTE.dat + (f->character[0] - ' ') * 16);

	return 0;
}
