/*
 * File								: raize.c
 * Description				: X-GUI raize font driver.
 * Author							: XiaomaGee@Gmail.com
 * Copyright					:
 *
 * History
 ****----------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 ****----------------
 */

//---------------- Include files ------------------------//
#include "..\include\font.h"
#include <string.h>

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *);

//---------------- Variable -----------------------------//
extern const unsigned char rc_raize12[];

SINGLE_BYTE_FONT_T raize12 = {
	.name = "raize12",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 10,
	.dat = (void*)rc_raize12,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};

//-----------------Function------------------------------//
/*
 * Name						: get
 * Description				: ---
 * Author					: XiaomaGee.
 *
 * History
 * ---------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 * ---------------
 */
static int
get(FONT_MATRIX_T *f)
{
	f->direction = DIRECTION_V;
	f->height = raize12.height;
	f->width = raize12.width;
	f->dat = (char*)raize12.dat + (f->character[0] - ' ') * 20;

	return 0;
}
