/*------------------------------------------------------
   FILE NAME   : simsun16.c
   DESCRIPTION : simsun16
   VERSION     : 0.0.0 (C)XiaomaGee
   AUTHOR      : XiaomaGee
   CREATE DATE : 2010-6-8
   MODIFY DATE :
   LOGS        :-\
   --------------------------------------------------------*/

//---------------- Include files ------------------------//
#include <string.h>
#include "..\include\font.h"
#include "..\include\config.h"
#include "..\fatfs\ff.h"

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *f);

//---------------- Variable -----------------------------//
DOUBLE_BYTE_FONT_T simsun16 = {
	.name = "Simsun 16 ",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 16,
	.dat = NULL,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};

FIL fil;

//-----------------Function------------------------------//
/*-------------------------------------------------------
   NAME       :get
   ENTRY  TYPE: void
   RETURN TYPE: void
   PURPOSE    : ---
   VERSION    : 0.0.0
   DESCRIPTION:
   CREATE DATE: ---
   LOGS       :
   ---------------------------------------------------------*/
static int
get(FONT_MATRIX_T *f)
{
	unsigned long int offset;
	static int first = 0;
	unsigned int counter = 0;

	if (first == 0) {
		f_open(&fil, "0:/system/hzk16", FA_READ);
		first = 1;
	}

	offset = f->character[0];
	offset -= 0xa1;
	offset *= 94;
	offset += f->character[1];
	offset -= 0xa1;
	offset *= 32;

	f_lseek(&fil, offset);

	f_read(&fil, font_buffer, 32, &counter);

	f->direction = DIRECTION_H;
	f->height = simsun16.height;
	f->width = simsun16.width;

	f->dat = font_buffer;

	return 0;
}
