#include "..\include\beep.h"

static int initialize(void);
static int frequency(int);

BEEP_T beep = {
	.initialize = initialize,
	.frequency = frequency
};

static int
initialize(void)
{
	GPIOA->CRL.B.MODE1 = 0x3;       //GPIOA˿6
	GPIOA->CRL.B.CNF1 = 0x2;        //GPIOA˿6ģʽΪʽ

	TIM2->CCMR1.B_COMP.CC2S = 0;      //CC1ͨΪ
	TIM2->CCMR1.B_COMP.OC2FE = 1;     //ӿCC1Դ¼Ӧ
	TIM2->CCMR1.B_COMP.OC2M = 6;  //pmwģʽ1
	TIM2->CCMR1.B_COMP.OC2PE = 1; //TIM3_CCR1ĴԤװع

	TIM2->CCR2 = TIM2->ARR / 2;  //ȽֵԶװֵһ

	TIM2->PSC = 3;                       //ԤƵֵΪ3
	TIM2->CR1.B.ARPE = 1;            //ԶװԤװع
	TIM2->CR1.B.DIR = 1;             //Ϊ¼ģʽ
	TIM2->CR1.B.CEN = 1;   //

	return 0;
}

static int
frequency(int freq)
{
	if (freq == 0) {
		TIM2->CR1.B.CEN = 0; //رռ

		return 0;
	}               else{
		TIM2->ARR = (18000000 / freq); //Զװصֵ
		TIM2->CCR2 = TIM2->ARR - TIM2->ARR / 5.;  //ȽֵԶװֵһ
		TIM2->CR1.B.CEN = 1;                 //ʹλλ
		TIM2->CCER.B.CC2E = 1;       //OC1źӦ
	}

	return 0;
}
