/*
 * FILE							: ir
 * DESCRIPTION			: This file is ....
 * Author						: XiaomaGee@Gmail.com
 * Copyright				:
 *
 * History
 * --------------------
 * Rev							: 0.00
 * Date							: 00/00/2012
 *
 * create.
 * --------------------
 */
#ifndef __ir_h__
#define __ir_h__

//----------------- Include files------------------------//


//----------------- Define ------------------------------//
#define CNT_START       240 //13.5 ms
#define CNT_0           20 //1.12 ms
#define CNT_1           40 //2.25 ms
#define CNT_REPEAT      200 //11.25 ms


//define KEY CODE

#define KEY_1                   0X00
#define KEY_2                   0X80
#define KEY_3                   0X40
#define KEY_4                   0X20
#define KEY_5                   0XA0
#define KEY_6                   0X60
#define KEY_7                   0X10
#define KEY_8                   0X90
#define KEY_9                   0X50
#define KEY_0                   0XB0
#define KEY_STAR        0X30
#define KEY_HASH        0X70
#define KEY_UP          0X88
#define KEY_DOWN        0X98
#define KEY_LEFT        0X28
#define KEY_RIGHT       0X68
#define KEY_OK          0XA8

//----------------- Typedef -----------------------------//
typedef struct {
	int (* initialize)(void);
	int receive_ok_flag;
	unsigned long int dat;
	int repeat;
	int error_flag;
	int start;
}IR_T;

//----------------- Extern ------------------------------//
extern IR_T ir;

#endif //__ir_h__
