/*
 * FILE			: nixietube.h
 * DESCRIPTION	: This file is iHMI43 rcc driver file header.
 * Author		: XiaomaGee@Gmail.com
 * Copyright	:
 *
 * History
 * --------------------
 * Rev			: 0.00
 * Date			: 03/05/2012
 *
 * create.
 * --------------------
 */

//-----------------Define--------------------------------//
#ifndef __nixietube_h__
#define __nixietube_h__

//-----------------Include files-------------------------//
#include "..\include\stm32f10x_reg.h"

//----------------- Typedef------------------------------//
typedef  struct {
	int (* initialize)(void);
	void (* display_float)(float a);
	void (* display_int)(int a);
	int (* set_led)(unsigned char led);
	int (* scan)(void);
	int (* clear)(void);
}NIX_T;

//----------------- Extern ------------------------------//
extern NIX_T nix;

#endif //__nixietube_h__
