/*
 * File						: courier.c
 * Description				: This file is iBoard courier.
 * Author					: XiaomaGee@Gmail.com
 * Copyright				:
 *
 * History
 ****----------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 ****----------------
 */

//---------------- Include files ------------------------//
#include "..\include\font.h"
#include <string.h>

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *);

//---------------- Variable -----------------------------//
extern const unsigned char rc_courier[];

SINGLE_BYTE_FONT_T courier = {
	.name = "Courier 10",
	.id = FONT_UNREGISTERED,
	.height = 16,
	.width = 8,
	.dat = (void*)rc_courier,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};

//-----------------Function------------------------------//
/*
 * Name						: get
 * Description				: ---
 * Author					: XiaomaGee.
 *
 * History
 * ---------------
 * Rev						: 0.00
 * Date						: 07/29/2012
 *
 * create.
 * ---------------
 */
static int
get(FONT_MATRIX_T *f)
{
	f->direction = DIRECTION_V;
	f->height = courier.height;
	f->width = courier.width;
	f->dat = (char*)courier.dat + (f->character[0] - ' ') * 16;

	return 0;
}
