/*------------------------------------------------------
   FILE NAME   : simhei24.c
   DESCRIPTION : simsun16
   VERSION     : 0.0.0 (C)XiaomaGee
   AUTHOR      : XiaomaGee
   CREATE DATE : 2010-6-8
   MODIFY DATE :
   LOGS        :-\
   --------------------------------------------------------*/

//---------------- Include files ------------------------//

#include <string.h>
#include "..\include\config.h"
#include "..\include\font.h"
#include "..\fatfs\ff.h"

//---------------- Function Prototype -------------------//
static int get(FONT_MATRIX_T *f);
//---------------- Variable -----------------------------//

DOUBLE_BYTE_FONT_T simhei24 = {
	.name = "Simhei 24 ",
	.id = FONT_UNREGISTERED,
	.height = 32,
	.width = 32,
	.dat = NULL,
	.get_matrix = get,
	.pre = NULL,
	.next = NULL
};


//-----------------Function------------------------------//
/*-------------------------------------------------------
   NAME       : get
   ENTRY  TYPE: void
   RETURN TYPE: void
   PURPOSE    : ---
   VERSION    : 0.0.0
   DESCRIPTION:
   CREATE DATE: ---
   LOGS       :
   ---------------------------------------------------------*/
static int
get(FONT_MATRIX_T *f)
{
	FIL fil;
	unsigned long int offset;
	unsigned int counter;

	f_open(&fil, "0:/system/hzk24h", FA_READ);

	offset = f->character[0];
	offset -= 0xa1;
	offset -= 15;
	offset *= 94;
	offset += f->character[1];
	offset -= 0xa1;
	offset *= 72;

	f->direction = DIRECTION_H;
	f->height = simhei24.height;
	f->width = simhei24.width;

	f_lseek(&fil, offset);

	f_read(&fil, font_buffer, 128, &counter);

	f->dat = font_buffer;

	f_close(&fil);

	return 0;
}
